> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Hour

> Get a business hour by ID, including routing destinations



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/business-hours/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/business-hours/{id}:
    get:
      tags:
        - Business Hours
      summary: Get Business Hour
      description: Get a business hour by ID, including routing destinations
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Business hour details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Business hour ID
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Business hour name
                  tenantId:
                    type: number
                    description: Tenant ID
                  timezone:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: IANA timezone
                  hours:
                    description: Weekly operating hours keyed by day (0-6)
                  matchDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Destination target ID
                        destType:
                          type: string
                          description: Destination type
                        order:
                          description: Ordering within the group
                          type: number
                        typeSrc:
                          description: Source routing slot
                          type: string
                        name:
                          description: Destination name
                          anyOf:
                            - type: string
                            - type: 'null'
                        number:
                          description: Destination number
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - destType
                      additionalProperties: {}
                    description: Inside-hours destinations
                  notMatchDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Destination target ID
                        destType:
                          type: string
                          description: Destination type
                        order:
                          description: Ordering within the group
                          type: number
                        typeSrc:
                          description: Source routing slot
                          type: string
                        name:
                          description: Destination name
                          anyOf:
                            - type: string
                            - type: 'null'
                        number:
                          description: Destination number
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - destType
                      additionalProperties: {}
                    description: Outside-hours destinations
                  branch:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - name
                    additionalProperties: {}
                    description: Resolved branch
                required:
                  - id
                  - name
                  - tenantId
                  - timezone
                  - hours
                  - matchDestinations
                  - notMatchDestinations
                  - branch
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````